"use strict";

function openFullScreen() {
    element_fullscreen.addEventListener("fullscreenchange", ChangeFullScreen);
    start_test = false;
    if (element_fullscreen.requestFullscreen) {
        element_fullscreen.requestFullscreen();
    } else if (element_fullscreen.webkitRequestFullscreen) { /* Safari */
        element_fullscreen.webkitRequestFullscreen();
    } else if (element_fullscreen.msRequestFullscreen) { /* IE11 */
        element_fullscreen.msRequestFullscreen();
    }
}

function exitFullScreen() {
    element_fullscreen.removeEventListener("fullscreenchange", ChangeFullScreen);
    start_test = false;
    if (document.fullscreenElement || document.webkitFullscreenElement || document.msFullscreenElement) {
        if (document.exitFullscreen) {
            document.exitFullscreen();
        } else if (document.webkitExitFullscreen) { /* Safari */
            document.webkitExitFullscreen();
        } else if (document.msExitFullscreen) { /* IE11 */
            document.msExitFullscreen();
        }
    }
}

function ChangeFullScreen(event) {
    if (start_test == false) {
        start_test = true;
    }
    else {
        EndTest();
    }
}