"use strict";

const element_fullscreen = document.getElementById("fullscreen");
const SPACE_KEY = 32;
const EVENT_LEFT_BUTTON_MOUSE = 0;
var countNumber = 0;
var background_color = ["#000000", "#ff0000", "#00ff00", "#0000ff", "#ffffff"];
var start_test = false;
var btn_start = document.getElementById("btn-start");
var title_lcd = document.getElementById("title-test");
var myTimeout;
const timeout = 60 * 1000;

function windowKeyDown(event) {
    var key = event.keyCode;
    if ((key == SPACE_KEY || event.button == EVENT_LEFT_BUTTON_MOUSE) && start_test) {
        if (countNumber == background_color.length) {
            EndTest();
        }
        else {
            element_fullscreen.style['background'] = background_color[countNumber];
            countNumber++;
        }
    }
}

function EndTest() {
    element_fullscreen.style['background'] = "#ccc";
    btn_start.style['display'] = "inline-block";
    exitFullScreen();
    window.removeEventListener("keydown", windowKeyDown);
    window.removeEventListener("click", windowKeyDown);
    clearTimeout(myTimeout);
    if (countNumber == background_color.length) {
        alert(status_test["title"] +": "+ status_test["pass"]);
    }
    else {
        alert(status_test["title"] +": "+ status_test["false"]);
    }
}

function StartTestLCD() {
    window.addEventListener("keydown", windowKeyDown);
    window.addEventListener("click", windowKeyDown);
    countNumber = 0;
    element_fullscreen.style['background'] = background_color[countNumber];
    countNumber++;
    btn_start.style['display'] = "none";
    title_lcd.style["display"] = "none";
    myTimeout = window.setTimeout(EndTest, timeout);
    openFullScreen();
}

btn_start.addEventListener("click", StartTestLCD);
